ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
top_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| draw_top (&$Options)
| view (&$Options)

## Data Fields
| $CachedMultyFS = false
| $Database = false
| $Security = false
| $String = false
| $Output = false

## Detailed Description

Working with tops.

Author
  Dodonov A.A.

Definition at line 26 of file top.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 65 of file top.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->Database = get_package( 'database' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

draw_top | ( | & | $Options | ) |

Function draws top.

Parameters

  $Options | - Settings.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 186 of file top.php.

{
try
{
$this->Output = '';
$TopName = $this->Security->get_gp(
'top_name' , 'command' , $Options->get_setting( 'top_name' , false )
);
if( $TopName === false )
{
return;
}
$Options->append_file( dirname( __FILE__ )."/conf/cf_$TopName" );
$Title = $Options->get_setting( 'title' , false );
list( $Header , $Item , $Footer ) = $this->get_templates( $Options );
$this->compile_records( $Options , $Item );
$this->Output = $Header.$this->Output.$Footer;
if( $Title !== false )
{
$this->Output = "<h3>{lang:$Title}</h3>".$this->Output;
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

view | ( | & | $Options | ) |

Function draws component.

Parameters

  $Options | - Settings.

Returns
  HTML code of the component.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 240 of file top.php.

{
try
{
$ContextSet = get_package( 'gui::context_set' , 'last' , __FILE__ );
$ContextSet->add_context( dirname( __FILE__ ).'/conf/cfcx_top' );
if( $ContextSet->execute( $Options , $this , __FILE__ ) )
{
return( $this->Output );
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file top.php.

$Database = false

Definition at line 39 of file top.php.

$Output = false

Display function's result.

Author
  Dodonov A.A.

Definition at line 53 of file top.php.

$Security = false

Definition at line 40 of file top.php.

$String = false

Definition at line 41 of file top.php.

The documentation for this class was generated from the following file:

- packages/top/top.php